Automata

## Class ParseMethods

- java.lang.Object
- - Automata.ParseMethods

-     public class ParseMethods
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParseMethods()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `parseAlphabetDeclaration(java.lang.String s, java.util.List<java.util.List<java.lang.Integer>> A, java.util.List<NumberSystem> bases)`
    `static void` | `parseList(java.lang.String s, java.util.List<java.lang.Integer> list)`
    `static boolean` | `parseStateDeclaration(java.lang.String s, int[] pair)`
    `static boolean` | `parseTransition(java.lang.String s, java.util.List<java.lang.Integer> input, java.util.List<java.lang.Integer> dest)`
    `static boolean` | `parseTrueFalse(java.lang.String s, boolean[] singleton)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParseMethods

          public ParseMethods()

  - ### Method Detail

    - #### parseTrueFalse

          public static boolean parseTrueFalse(java.lang.String s,
                               boolean[] singleton)

    - #### parseAlphabetDeclaration

          public static boolean parseAlphabetDeclaration(java.lang.String s,
                                         java.util.List<java.util.List<java.lang.Integer>> A,
                                         java.util.List<NumberSystem> bases)
                                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### parseStateDeclaration

          public static boolean parseStateDeclaration(java.lang.String s,
                                      int[] pair)

    - #### parseTransition

          public static boolean parseTransition(java.lang.String s,
                                java.util.List<java.lang.Integer> input,
                                java.util.List<java.lang.Integer> dest)

    - #### parseList

          public static void parseList(java.lang.String s,
                       java.util.List<java.lang.Integer> list)